function demo {                          # Define a Korn shell function
  typeset myvar=3                        # Set a local variable myvar
  print "demo: myvar is $myvar"
}

myvar=4                                  # Set the global myvar
demo ; print "global: myvar is $myvar"   # Run the function
# demo: myvar is 3
# global: myvar is 4

. demo                                   # Run with POSIX semantics
# demo: myvar is 3

print "global: myvar is $myvar"          # See the results
# global: myvar is 3
