dave=dave                       # Create the variable
function dave.set {             # Called when dave is assigned to
    print "dave just got assigned '${.sh.value}'"
}

function dave.get {             # Called when $dave retrieved
    print "dave's value referenced, it's '$dave'"    # this is safe

    .sh.value="dave was here"   # Change what $dave returns, dave not changed
}

function dave.unset {           # Called when dave is unset
    print "goodbye dave!"
    unset dave   # actually make dave go away
}

print $dave
# dave's value referenced, it's 'dave'                    # From dave.get
# dave was here                                           # From print
dave='who is this dave guy, anyway?'
# dave just got assigned 'who is this dave guy, anyway?'  # From dave.set
unset dave
# goodbye dave!                                           # From dave.unset
print $dave
